# $Revision: 1.19 $, $Date: 2008/07/27 22:26:51 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	OSS
Summary:	Audio::OSS Perl module - interface to Open Sound System
Summary(pl.UTF-8):	Moduł Perla Audio::OSS - interfejs do Open Sound System
Name:		perl-Audio-OSS
Version:	0.0501
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8c77167acea908501c243be198149efb
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Provides:	perl(Audio::OSS::Constants)
# it uses C code only at build time - built package doesn't contain any binaries
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module provides a pure-Perl, no-nonsense, filehandle-based
interface to the Open Sound System. Audio::DSP is fine for simple,
blocking audio I/O, but it doesn't hold up when you want to do
something more complicated. That is, it doesn't expose the features of
the audio device interface that are required to do things like
non-blocking audio, real-time control of playback, querying the
capabilities of the audio device, finding the supported sampling
rates, etc. Audio::OSS provides a procedural interface based around
filehandles opened on the audio device (usually /dev/dsp* for PCM
audio). It also defines constants for various ioctl calls and other
things based on the OSS system header files, so you don't have to rely
on .ph files that may or may be correct or even present on your
system.

%description -l pl.UTF-8
Ten moduł udostępnia czysto perlowy, logiczny, oparty na uchwytach
plików interfejs do systemu dźwięku Open Sound. Audio::DSP jest dobry
do prostego, blokującego odtwarzania/nagrywania dźwięku, ale nie
wystarcza, jeśli trzeba zrobić coś bardziej skomplikowanego. To znaczy
nie udostępnia możliwości interfejsu OSS potrzebnych do rzeczy takich
jak nie blokujący dźwięk, kontrola odtwarzania w czasie rzeczywistym,
odczytywanie możliwości urządzenia dźwiękowego, sprawdzanie
obsługiwanych częstotliwości próbkowania itp. Moduł Audio::OSS
udostępnia proceduralny interfejs oparty na uchwytach plików
związanych z urządzeniem dźwiękowym (zazwyczaj /dev/dsp* dla dźwięku
PCM). Moduł także definiuje stałe dla różnych wywołań ioctl oraz
innych rzeczy związanych z plikami nagłówkowymi OSS, więc nie trzeba
polegać na plikach .ph.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Audio/OSS.pm
%{perl_vendorlib}/Audio/OSS
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Audio-OSS.spec,v $
Revision 1.19  2008/07/27 22:26:51  arekm
- release 5

Revision 1.18  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.17  2007/02/12 00:49:22  baggins
- converted to UTF-8

Revision 1.16  2004/11/03 21:01:01  paladine
- formatting

Revision 1.15  2004/10/24 13:45:36  paladine
- spelling fix

Revision 1.14  2004/06/05 18:10:30  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.13  2004/05/07 01:12:25  ankry
- rel. 4

Revision 1.12  2004/05/06 18:09:15  ankry
- fixed perl-devel BR

Revision 1.11  2004/04/17 05:46:24  ankry
- license fixes

Revision 1.10  2004/03/09 20:37:06  adamg
- new style bconds

Revision 1.9  2003/08/18 08:08:28  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:00:22  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:20  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 17:42:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:36:46  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:26:28  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/09/14 18:33:42  ankry
- Provides: perl(Audio::OSS::Constants) (not recognized by
  rpm-perlprov-4.0.2, release 2

Revision 1.1  2002/08/15 17:54:58  qboosh
- new

